'use strict';

var _mailProvider = require('./providers/mailProvider');

var _mailProvider2 = _interopRequireDefault(_mailProvider);

var _eventbriteProvider = require('./providers/eventbriteProvider');

var _eventbriteProvider2 = _interopRequireDefault(_eventbriteProvider);

var _googleSheetsProvider = require('./providers/googleSheetsProvider');

var _googleSheetsProvider2 = _interopRequireDefault(_googleSheetsProvider);

var _picasaProvider = require('./providers/picasaProvider');

var _picasaProvider2 = _interopRequireDefault(_picasaProvider);

var _bloggerProvider = require('./providers/bloggerProvider');

var _bloggerProvider2 = _interopRequireDefault(_bloggerProvider);

var _facebookProvider = require('./providers/facebookProvider');

var _facebookProvider2 = _interopRequireDefault(_facebookProvider);

var _instagramProvider = require('./providers/instagramProvider');

var _instagramProvider2 = _interopRequireDefault(_instagramProvider);

var _server = require('./server');

var _server2 = _interopRequireDefault(_server);

var _providerFactory = require('./server/providerFactory');

var _providerFactory2 = _interopRequireDefault(_providerFactory);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = {
  mailProvider: _mailProvider2.default,
  eventbriteProvider: _eventbriteProvider2.default,
  googleSheetsProvider: _googleSheetsProvider2.default,
  picasaProvider: _picasaProvider2.default,
  bloggerProvider: _bloggerProvider2.default,
  facebookProvider: _facebookProvider2.default,
  instagramProvider: _instagramProvider2.default,
  providerFactory: _providerFactory2.default,
  KokoServer: _server2.default
}; /*
   Guide:
   https://hackernoon.com/building-a-react-component-library-part-2-46fd4f77bb5c
   
   */

//server assets