"use strict";

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var api = require('instagram-node').instagram();

var instagramProvider = function instagramProvider(options) {

	//========DEFAULTS AND OPTIONS EXTENSIONS================
	var defaults = {
		clientId: "",
		clientSecret: ""
		//Set default parameters and default configurations
	};var extendDefaults = function extendDefaults(source, properties) {
		var property;
		for (property in properties) {
			if (properties.hasOwnProperty(property)) {
				source[property] = properties[property];
			}
		}
		return source;
	};
	if (arguments.length <= 0) {
		this.options = defaults;
	} else if (arguments[0] && _typeof(arguments[0]) === "object") {
		this.options = extendDefaults(defaults, arguments[0]);
	}

	var module = {};
	var that = this;

	api.use({ client_id: this.options.clientId, client_secret: this.options.clientSecret });

	module.getFeed = function (onSuccess, onError) {

		onSuccess({});
	};

	return module;
};

module.exports = instagramProvider;